Tigris WebSVN listing.php脚本绕过限制信息泄露漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1183978 漏洞类型 权限许可和访问控制
发布时间 2009-01-19 更新时间 2009-03-10
CVE编号 CVE-2009-0240 CNNVD-ID CNNVD-200901-269
漏洞平台 N/A CVSS评分 3.5
|漏洞来源
https://www.securityfocus.com/bid/33343
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200901-269
|漏洞详情
WebSVN是软件开发者DirkThomas所研发的一套基于Web的SubversionRepository(版本管理库)浏览器,它可查看文件或文件夹的日志、查看文件的变化列表、添加或删除任意版本号等。WebSVN中的listing.php脚本在使用SVNauthz文件时没有正确地限制对受限制代码库的访问,远程攻击者可以通过comparewithprevious和showchangedfiles链接读取受限制项目的changelog或diff。
|受影响的产品
WebSVN WebSVN 2.0rc4 WebSVN WebSVN 2.0 WebSVN WebSVN 1.7 Gentoo Linux Debian Linux 5.0 sparc Debian Linux 5.0 s/390 Debian Linux 5.0 powerpc
|参考资料

来源:XF
名称:websvn-listing-information-disclosure(48171)
链接:http://xforce.iss.net/xforce/xfdb/48171
来源:MLIST
名称:[oss-security]20090118CVErequest:WebSVN
链接:http://www.openwall.com/lists/oss-security/2009/01/18/2
来源:GENTOO
名称:GLSA-200903-20
链接:http://www.gentoo.org/security/en/glsa/glsa-200903-20.xml
来源:SECUNIA
名称:34191
链接:http://secunia.com/advisories/34191
来源:SECUNIA
名称:32338
链接:http://secunia.com/advisories/32338
来源:bugs.debian.org
链接:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=512191